#region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_OutFile=Compile.exe
#AutoIt3Wrapper_UseX64=n
#AutoIt3Wrapper_UseUpx=n
; #AutoIt3Wrapper_Compression=4
#AutoIt3Wrapper_Res_Comment=-
#AutoIt3Wrapper_Res_Description=Compile.exe
#AutoIt3Wrapper_Res_Fileversion=0.1.0.0
#AutoIt3Wrapper_Res_Fileversion_AutoIncrement=n
#AutoIt3Wrapper_Res_LegalCopyright=AZJIO
#AutoIt3Wrapper_Res_Language=1033
#AutoIt3Wrapper_Run_AU3Check=n
#AutoIt3Wrapper_Res_Field=Version|0.1
#AutoIt3Wrapper_Res_Field=Build|2014.03.10
#AutoIt3Wrapper_Res_Field=Coded by|AZJIO
#AutoIt3Wrapper_Res_Field=Compile date|%longdate% %time%
#AutoIt3Wrapper_Res_Field=AutoIt Version|%AutoItVer%
#AutoIt3Wrapper_Run_Obfuscator=y
#Obfuscator_Parameters=/sf /sv /om /cs=0 /cn=0
#AutoIt3Wrapper_Run_After=del /f /q "%scriptdir%\%scriptfile%_Obfuscated.au3"
#endregion ;**** Directives created by AutoIt3Wrapper_GUI ****

; AZJIO
Local $LngDn, $LngErr, $LngMB1, $LngMB2, $LngMB3, $LngMB4, $LngMB5
Local $ExistsHH, $hFile, $sPath, $sPathTmp, $sText

; En
$LngErr = 'Error'
$LngMB1 = 'Message'
$LngMB2 = 'Check that the help file was closed before compilation'
$LngMB3 = 'Delete the existing NppHelp.chm before building a new file?'
$LngMB4 = 'Unable to delete NppHelp.chm, check that the help file is not running.'
$LngMB5 = 'Operation aborted, the script exits.'
$LngDn = 'Done!'

; Ru
;   ,   
If @OSLang = 0419 Then
	$LngErr = ''
	$LngMB1 = ''
	$LngMB2 = ',       '
	$LngMB3 = '  NppHelp.chm    ?'
	$LngMB4 = '   NppHelp.chm, ,     .'
	$LngMB5 = ' ,  .'
	$LngDn = '!'
EndIf

FileChangeDir(@ScriptDir)
$sPath = @ScriptDir & '\NppHelp\NppHelp.hhp'
$sPathTmp = @ScriptDir & '\NppHelp\NppHelp_tmp.hhp'

;     
$ExistsHH = ''
If ProcessExists('hh.exe') Then $ExistsHH = @CRLF & $LngMB2

If FileExists(@ScriptDir & '\NppHelp.chm') Then
	If MsgBox(4, $LngMB1, $LngMB3 & $ExistsHH) = 6 Then
		If Not FileDelete(@ScriptDir & '\NppHelp.chm') Then
			MsgBox(0, $LngMB1, $LngMB4 & @CRLF & $LngMB5)
			Exit
		EndIf
	Else
		Exit
	EndIf
EndIf

$sText = FileRead($sPath)
$sText = StringReplace($sText, '%date%', @MDAY & '.' & @MON & '.' & @YEAR)
If @extended Then ;    %date%, 
	$hFile = FileOpen($sPathTmp, 2)
	FileWrite($hFile, $sText)
	FileClose($hFile)
	RunWait("Utils\hhc.exe NppHelp\NppHelp_tmp.hhp") ;      
	FileDelete($sPathTmp)
Else
	RunWait("Utils\hhc.exe NppHelp\NppHelp.hhp") ;    
EndIf

MsgBox(0, '', $LngDn, 1)
; TrayTip("  Notepad++", "!", 4, 1)
; Sleep(1000)