#region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_OutFile=Compile.exe
#AutoIt3Wrapper_UseX64=n
#AutoIt3Wrapper_UseUpx=n
; #AutoIt3Wrapper_Compression=4
#AutoIt3Wrapper_Res_Comment=-
#AutoIt3Wrapper_Res_Description=Compile.exe
#AutoIt3Wrapper_Res_Fileversion=0.2.0.0
#AutoIt3Wrapper_Res_Fileversion_AutoIncrement=n
#AutoIt3Wrapper_Res_LegalCopyright=AZJIO
#AutoIt3Wrapper_Res_Language=1033
#AutoIt3Wrapper_Run_AU3Check=n
#AutoIt3Wrapper_Res_Field=Version|0.2
#AutoIt3Wrapper_Res_Field=Build|2014.05.22
#AutoIt3Wrapper_Res_Field=Coded by|AZJIO
#AutoIt3Wrapper_Res_Field=Compile date|%longdate% %time%
#AutoIt3Wrapper_Res_Field=AutoIt Version|%AutoItVer%
#AutoIt3Wrapper_Run_Obfuscator=y
#Obfuscator_Parameters=/sf /sv /om /cs=0 /cn=0
#AutoIt3Wrapper_Run_After=del /f /q "%scriptdir%\%scriptfile%_Obfuscated.au3"
#endregion ;**** Directives created by AutoIt3Wrapper_GUI ****

; AZJIO
#include <WindowsConstants.au3>
#include <GUIConstantsEx.au3>
#include <File.au3>

Local $LngDn, $LngErr, $LngMB1, $LngMB2, $LngMB3, $LngMB4, $LngMB5, $LngMB6, $LngMB7, $LngTtl, $LngLb
Local $ExistsHH, $hFile, $sPath, $sPathTmp, $sText
Local $sFolder = 'NppHelp'
Local $sFileCHM = 'NppHelp'

; En
$LngErr = 'Error'
$LngMB1 = 'Message'
$LngMB2 = 'Check that the help file was closed before compilation'
$LngMB3 = 'Delete the existing ' & $sFileCHM & '.chm before building a new file?'
$LngMB4 = 'Unable to delete ' & $sFileCHM & '.chm, check that the help file is not running.' & @LF & @LF & 'Repeat removal?'
; $LngMB5 = 'Operation aborted, the script exits.'
$LngMB6 = 'Error copying the theme, the script exits.'
$LngMB7 = 'Open the help file?'
$LngDn = 'Done!'
$LngTtl = 'Choosing themes'
$LngLb = 'Close the window to cancel. If not selected, the default selection to the previous'
; $Lng = ''

; Ru
;   ,   
If @OSLang = 0419 Then
	$LngErr = ''
	$LngMB1 = ''
	$LngMB2 = ',       '
	$LngMB3 = '  ' & $sFileCHM & '.chm    ?'
	$LngMB4 = '   ' & $sFileCHM & '.chm, ,     .' & @LF & @LF & ' ?'
	; $LngMB5 = ' ,  .'
	$LngMB6 = '  ,  .'
	$LngMB7 = ' ?'
	$LngDn = '!'
	$LngTtl = '  '
	$LngLb = '   .   ,       '
EndIf

FileChangeDir(@ScriptDir)
$sPath = @ScriptDir & '\' & $sFolder & '\NppHelp.hhp'
$sPathTmp = @ScriptDir & '\' & $sFolder & '\NppHelp_tmp.hhp'

;     
$ExistsHH = ''
If ProcessExists('hh.exe') Then $ExistsHH = @CRLF & $LngMB2

If FileExists(@ScriptDir & '\' & $sFileCHM & '.chm') Then
	If MsgBox(4, $LngMB1, $LngMB3 & $ExistsHH) = 6 Then
		Local $fDel = 0
		Do
			$fDel = FileDelete(@ScriptDir & '\' & $sFileCHM & '.chm')
			If Not $fDel And MsgBox(4, $LngMB1, $LngMB4) = 7 Then Exit
		Until $fDel
	Else
		Exit
	EndIf
EndIf

_SelectTheme()

$sText = FileRead($sPath)
$sText = StringReplace($sText, '%date%', @MDAY & '.' & @MON & '.' & @YEAR)
If @extended Then ;    %date%, 
	$hFile = FileOpen($sPathTmp, 2)
	FileWrite($hFile, $sText)
	FileClose($hFile)
	RunWait('Utils\hhc.exe ' & $sFolder & '\NppHelp_tmp.hhp') ;      
	FileDelete($sPathTmp)
Else
	RunWait('Utils\hhc.exe ' & $sFolder & '\NppHelp.hhp') ;    
EndIf

If MsgBox(4, $LngDn, $LngMB7, 2) = 6 Then ShellExecute(@ScriptDir & '\' & $sFileCHM & '.chm')

Func _SelectTheme()
	Local $aFileList, $hGUI, $IHeight, $iOK
	$aFileList = _FileListToArray(@ScriptDir & '\' & $sFolder & '\', 'styles*.css', 1)
	If @error Then Return
	$IHeight = $aFileList[0] * 20
	$hGUI = GUICreate($LngTtl, 280, $IHeight + 120, -1, -1, $WS_CAPTION + $WS_SYSMENU + $WS_POPUP)
	GUICtrlCreateLabel($LngLb, 10, 0, 260, 45)
	Local $iID[$aFileList[0] + 1] = [$aFileList[0]]
	For $i = 1 To $aFileList[0]
		$iID[$i] = GUICtrlCreateRadio($aFileList[$i], 10, $i * 20 + 40, 260, 27)
	Next
	$iOK = GUICtrlCreateButton('OK', 100, $IHeight + 80, 80, 27)
	GUICtrlSetState(-1, $GUI_DEFBUTTON)
	GUISetState(@SW_SHOW, $hGUI)
	While 1
		Switch GUIGetMsg()
			Case $iOK
				For $i = 1 To $iID[0]
					If BitAND(GUICtrlRead($iID[$i]), $GUI_CHECKED) = $GUI_CHECKED Then
						FileCopy(@ScriptDir & '\' & $sFolder & '\' & $aFileList[$i], @ScriptDir & '\' & $sFolder & '\HTML\styles.css', 1)
						If @error Then Exit MsgBox(0, $LngMB1, $LngMB6)
						ExitLoop 2
					EndIf
				Next
				ExitLoop
			Case -3
				Exit
		EndSwitch
	WEnd
	GUIDelete($hGUI)
EndFunc   ;==>_SelectTheme