#region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_OutFile=get_Russian_text.exe
#AutoIt3Wrapper_UseX64=n
#AutoIt3Wrapper_UseUpx=n
; #AutoIt3Wrapper_Compression=4
#AutoIt3Wrapper_Res_Comment=-
#AutoIt3Wrapper_Res_Description=get_Russian_text.exe
#AutoIt3Wrapper_Res_Fileversion=0.1.0.0
#AutoIt3Wrapper_Res_Fileversion_AutoIncrement=n
#AutoIt3Wrapper_Res_LegalCopyright=AZJIO
#AutoIt3Wrapper_Res_Language=1033
#AutoIt3Wrapper_Run_AU3Check=n
#AutoIt3Wrapper_Res_Field=Version|0.1
#AutoIt3Wrapper_Res_Field=Build|2014.03.10
#AutoIt3Wrapper_Res_Field=Coded by|AZJIO
#AutoIt3Wrapper_Res_Field=Compile date|%longdate% %time%
#AutoIt3Wrapper_Res_Field=AutoIt Version|%AutoItVer%
#AutoIt3Wrapper_Run_Obfuscator=y
#Obfuscator_Parameters=/sf /sv /om /cs=0 /cn=0
#AutoIt3Wrapper_Run_After=del /f /q "%scriptdir%\%scriptfile%_Obfuscated.au3"
#endregion ;**** Directives created by AutoIt3Wrapper_GUI ****

; AZJIO
#include <FileOperations.au3>

Local $LngDn, $LngErr, $LngMB1
Local $aFileList, $RuTXT, $RuTxtFile, $tmp, $hFile

; En
$LngErr = 'Error'
$LngMB1 = 'Files to process could not be found in the folder "TXT-files"'
$LngDn = 'Done!'

; Ru
;   ,   
If @OSLang = 0419 Then
	$LngErr = ''
	$LngMB1 = '       "TXT-files"'
	$LngDn = '!'
EndIf

$aFileList = _FO_FileSearch(@ScriptDir & '\TXT-files', '*.txt') ;   
If @error Then
	MsgBox(0, $LngErr, $LngMB1)
	Exit
EndIf

For $i = 1 To $aFileList[0]
	$tmp = FileRead($aFileList[$i])
	$tmp = StringRegExp($tmp, '[^A-Za-z0-9=&()+,''";\-\[\]:<>*.#@|/\r\n\t _~?{}%$^\\][-- ?.,]+', 3)
	If Not @error Then
		$RuTxtFile = ''
		For $j = 0 To UBound($tmp) - 1
			$RuTxtFile &= $tmp[$j] & '.'
		Next
		$RuTXT &= $RuTxtFile & @CRLF & @CRLF
	EndIf
Next

$RuTXT = StringReplace($RuTXT, ' .', '.')
$RuTXT = StringRegExpReplace($RuTXT, '\.[ ]+', '. ')
$RuTXT = StringRegExpReplace($RuTXT, '\.+', '.')
$RuTXT = StringRegExpReplace($RuTXT, '\.(?![ t])', '. ')

$hFile = FileOpen(@ScriptDir & '\RuTXT.txt', 2)
FileWrite($hFile, $RuTXT)
FileClose($hFile)
MsgBox(0, '', $LngDn)
